Subject: Credential Store: Don't acquire lock when only reading the file

From: Simão Afonso <[email-masked]>
Date: Thu, 29 Oct 2020 19:20:20 +0000

When git is configured for parallel fetches `fetch.parallel = 0` and
uses the `store` credential helper, fetching all remotes might lead to a
spurious lock fail. It's a race condition when several remotes require
the credentials at the same time.

This shouldn't happen, using the `get` operation should not lock the
file.